<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" xmlns:th="http://www.thymeleaf.org"
      xmlns:sec="http://www.thymeleaf.org/thymeleaf-extras-springsecurity4">

<!-- Content Header (Page header) -->
<ol class="breadcrumb" th:fragment="breadcrumb">
    <li><a th:href="@{/admin/home}"><i class="fa fa-dashboard"></i> Dashboard</a></li>
    <li><a th:href="@{/admin/transaction/list/}"><i class="fa fa-money"></i>[[#{page.title.trx.company.payroll}]]</a></li>
    <li class="active">[[#{label.add}]]</li>
</ol>

<!-- Main content -->
<section class="content" th:fragment="content">
    <div class="row">
        <div class="col-md-12">
            <br/>
            <div class="box">
                <div class="box-header with-border">
                </div>
                <form role="form" class="form-horizontal" action="#" th:action="@{/admin/transaction/add}"
                      th:object="${data}" method="POST" enctype="multipart/form-data">
                    <div class="box-body">
                        <div class="form-group">
                            <label class="col-sm-2 control-label">[[#{label.company.name}]]</label>

                            <div class="col-sm-4">
                                <select id="infrastructure-type" class="form-control" th:field="*{companyId.id}">
                                    <option th:value="''" readonly="readonly" selected="selected" hidden="hidden">
                                        [[#{label.choose}]]
                                    </option>
                                    <option th:each="x : ${companies}" th:value="${x.id}" th:text="${x.name}"></option>
                                </select>
                            </div>

                        </div>
                        <div class="form-group">
                            <label class="col-sm-2 control-label">[[#{label.upload.file}]]</label>

                            <div class="col-sm-10">
                                <input type="file" class="dropify" data-errors-position="outside" name="uploadedFile" />
                                       <!--accept="application/vnd.openxmlformats-officedocument.spreadsheetml.sheet"-->

                                <p class="help-block">Pastikan file dengan format <i>.xlsx</i></p>
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-sm-2 control-label"></label>

                            <div class="col-sm-10">
                                <button type="submit" class="btn btn-success"><i class="fa fa-paper-plane"></i>
                                    [[#{button.submit}]]
                                </button>
                                <a th:href="@{/admin/transaction/list}" class="btn btn-default"><i class="fa fa-arrow-left"></i>
                                    [[#{button.back}]]</a>
                            </div>
                        </div>
                    </div>
                    <!-- /.box-body -->
                </form>
            </div>
            <!-- /.box -->
        </div>
    </div>
</section>
<!-- /.content -->

<div th:fragment="css">
    <link rel="stylesheet" type="text/css" th:href="@{/css/bootstrap.min.css}"/>
    <link rel="stylesheet" type="text/css" th:href="@{/css/dropify.css}"/>
    <link rel="stylesheet" type="text/css" th:href="@{/css/theme.min.css}"/>
    <link rel="stylesheet" type="text/css" th:href="@{/css/_all-skins.min.css}"/>
</div>
<div th:fragment="js">
    <script th:src="@{/js/dropify.js}"></script>

    <script type="text/javascript">
        $(document).ready(function () {
            $('.dropify').dropify();
    </script>
    <!-- jQuery 2.2.3 -->
    <script th:src="@{/js/jquery-2.2.3.min.js}"></script>
    <!-- Bootstrap 3.3.6 -->
    <script th:src="@{/js/bootstrap.min.js}"></script>
    <!-- App JS -->
    <script th:src="@{/js/app.min.js}"></script>
    <!-- SlimScroll 1.3.0 -->
    <script th:src="@{/js/jquery.slimscroll.min.js}"></script>
    <!-- ChartJS 1.0.1 -->
    <script th:src="@{/js/Chart.min.js}"></script>

</div>



</html>